Schneider Electric Exchange Community

Discuss and solve problems in energy management and automation. Join conversations and share insights on products and solutions. Co-innovate and collaborate with a global network of peers.

Register Now
Knowledge Base
cancel
Showing results for 
Search instead for 
Did you mean: 

Is MS SQL Server 2012 supported in Continuum?

Issue

Licenses for MS SQL Server 2008 are becoming difficult to source, is MS SQL Server 2012 going to be supported?

Product Line

Andover Continuum

Environment

  • Continuum
  • Microsoft SQL Server 2008
  • Microsoft SQL Server 2012
  • Microsoft SQL Server 2014

Cause

As retailers deplete their old stock, it will become harder and harder to obtain licensing for MS SQL Server 2008 which is the most recent version of MS SQL Server that Continuum v1.94 supports. Purchasing SQL Server 2012 licenses to downgrade deployment rights does not seem to be an option with current Microsoft licensing as this option only applies to volume licensing and not retail license packages. (Refer to page 16 of the Licensing Reference Guide from Microsoft here.)

Resolution

Continuum v1.94 was not qualified with MS SQL Server 2012 at the time of release, this has since been tested and qualified with Service Pack 1 for Continuum v1.94. Please see the Continuum Compatibility Matrix in Software and Firmware compatibility matrix for older versions of the traditional product lines for details of supported environments.

To use Microsoft SQL Server 2012 you will need to upgrade your installation to Continuum v1.94 SP1 or higher. You will be able to use MS downgrade rights to downgrade an SQL 2014 license so that SQL 2012 can be installed. See references from Microsoft below.

http://www.microsoft.com/licensing/about-licensing/briefs/downgrade-rights.aspx
http://www.microsoft.com/licensing/about-licensing/sql2014.aspx

For sites using Continuum v1.94 or older that do not wish to upgrade, downgrade deployment rights can be used with volume licenses of MS SQL Server 2012 to deploy an older version of SQL Server (say MS SQL Server 2008 R2 that is currently qualified with the version of Continuum you have).

Note: Continuum v1.94 SP1 has been qualified with MS SQL 2012 (SP1) but has not been tested with SQL 2014.

Tags (1)
Labels (1)
No ratings